Create a new pipelineAsk AIpost https://api.instill-ai.com/v1beta/namespaces/{namespaceId}/pipelinesCreates a new pipeline under a namespace.Path ParamsnamespaceIdstringrequiredThe namespace that creates the pipeline.Body ParamsThe properties of the pipeline to be created.idstringPipeline resource ID (used in name as the last segment). This conforms to RFC-1034, which restricts to letters, numbers, and hyphen, with the first character a letter, the last a letter or a number, and a 63 character maximum.descriptionstringPipeline description.recipeobjectrequiredRecipe describes the components of a Pipeline and how they are connected.recipe objectsharingobjectSharing contains the information to share a resource with other users. For more information, see Share Pipelines.sharing objectmetadataobjectMetadata holds console-related data such as the pipeline builder layout.metadata objectreadmestringREADME holds the pipeline documentation.tagsarray of stringsTags.tagsADD stringrawRecipestringRecipe in YAML format describes the components of a pipeline and how they are connected.sourceUrlstringA link to the source code of the pipeline (e.g. to a GitHub repository).documentationUrlstringA link to any extra information.licensestringLicense under which the pipeline is distributed.profileImagestringPipeline profile image in base64 format.Responses 200A successful response. 401Returned when the client credentials are not valid. defaultAn unexpected error response.Updated 9 months ago